Name: bomberclone
Version: 0.10.1
Release: alt1

Summary: BomberClone is a Puzzle game clone of bomberman
License: GPL
Url: http://www.bomberclone.de
Group: Games/Puzzles
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.menu
#Source2: %name.png
Patch1: %name.patch

Requires: %name-data >= %version

# Automatically added by buildreq on Mon Sep 15 2003
BuildRequires: XFree86-libs aalib esound libSDL-devel libSDL_mixer-devel libalsa libarts libaudiofile libogg libslang libsmpeg libvorbis

%description
Clone of bomberman. The goal of the game is to be the last one, 
who is alive. You can drop bombs which will explode after a certain 
time and destroy everything in horizontal and vertical direction.
So you can remove stones or kill other players. But take care.
Don't kill yourself otherwise the game will be over for you.
During the game you will find differnent powerups to raise your skills.
If you are running faster than your opponent and you have many bombs,
you can catch him within lots of bombs and he has no chance to escape.
Your will get points for every player you have killed. If you win the game,
you can earn additional points depending on how many players played the game.

%package -n %name-data
Summary: Data files for bomberclone game
Group: Games/Puzzles

%description -n %name-data
Data files for bomberclone game

%prep
%setup -q
%patch1 -p0
%configure --prefix=%buildroot%prefix

%build
%make_build

%install
%__mkdir_p %buildroot%_gamesdatadir/%name
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
#%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%_bindir/*
%_menudir/*

%files -n %name-data
%_gamesdatadir/%name

%changelog
* Mon Sep 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.10.1-alt1
- 0.10.1

* Tue Jul 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Fri Jun 13 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Sun May 18 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.8-alt1
- First version of RPM package.
